package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.dto.CostbgUnitDto;

import java.util.Map;

/**
 * 制水单耗计划
 *
 * @author 陈浩
 * @date 2021/3/18
 */
public interface CustomUnitPlanService {

    /**
     * 添加制水单耗计划
     *
     * @param year 年份
     * @return true
     */
    boolean insertPlan(String year);

    /**
     * 添加制水单耗计划详情
     *
     * @param costbgUnitDto vo
     * @return true
     */
    boolean insertPlanInfo(CostbgUnitDto costbgUnitDto);

    /**
     * 查看计划
     *
     * @param page  page
     * @param year  年份
     * @param state 状态
     * @return page
     */
    Page pagePlan(Page page, String year, String state);

    /**
     * 查看计划详情
     *
     * @param id   id
     * @return page
     */
    Map<String,Object> pagePlanInfo(Long id);

    /**
     * 删除计划
     *
     * @param id 计划id
     * @return true
     */
    boolean deletePlan(String id);

    /**
     * 修改计划详情
     *
     * @param costbgUnitDto vo
     * @return true
     */
    boolean update(CostbgUnitDto costbgUnitDto);
}
